$(function(){
	$('#regEmail input').bind("focus",function(){
		$(this).parent().parent().attr('class','u-ipt u-ipt-foc');
		$(this).parent().parent().parent().find('p').attr('class','u-tips u-tips-warn').find('span').html(Reg.ShowWarn(this.name));
	}).bind("blur",function(){
		blurfunc(this);
	});
	var blurfunc = function(dom){
		var $this = $(dom);

		//if($this.parent().parent().attr("id")="regemail") return;
		
		$this.parent().parent().attr('class','u-ipt');
		$this.parent().parent().parent().find('p').attr('class','u-tips').find('span').html('');
		
		var b = $this.val();
		var n = $this.attr("name");
		if(b.length>0){
			if ('username_r'==n){
				Reg.CheckName(b);
			}else if('password'==n){
				Reg.CheckPass(b);
			}else if('cpassword'==n){
				Reg.CheckPass2(b);
			}else if('user_qq'==n){
				Reg.CheckQQ(b);
			}else if('radomPass'==n){
				Reg.CheckYZM(b);
			}else if('user_name'==n){
				Reg.CheckUser(b);
			}
		}
	}
	$('#regEmail button').click(function(){

		$('#regEmail input').each(function() {
			$(this).parent().parent().parent().find('p').attr('class','u-tips u-tips-warn').find('span').html(Reg.ShowWarn(this.name));
       });
       
		setTimeout(function(){
		if(!$(this).hasClass("u-btn2-dis")&&Reg.Email&&Reg.Pass&&Reg.Pass2&&Reg.QQ&&Reg.Yzm){
				$('#regemail').submit();
		}
			},100);
	});
});
Reg={

	Email:false,Pass:false,Pass2:false,QQ:false,Yzm:false,_IsLogin:false,

	ShowWarn:function(o){//显示提示信息
		var r='';
		if('password'==o){
			r='6到15个字符，区分大小写。';
		}else if('cpassword'==o){
			r='再次输入您的密码。';
		}else if('radomPass'==o){
			r='输入四位数字验证码。';
		}else if('user_qq'==o){
			r='输入正确的QQ号码。';
		}else if('user_name'==o){
			r='输入您的用户昵称。';
		}
		return r;
	},
	CheckUser:function(o){//验证用户名注册
		var n = $('#user_name').parent().parent();
		var len = local.GetLenth(o);
		if(len<4||len>18){
			n.addClass('u-ipt-err');Reg.Email=false;
			n.parent().find('p').attr('class','u-tips u-tips-err').find('span').html('用户名的长度为4-18个字符（一个汉字2个字符）');
		}else{
			$.post('Checklogin.html?action=checkname',{name:o,t:local.TimeLong()},function(data){
				if(data=='0'){
					Reg.Email=true;
					n.parent().find('p').attr('class','u-tips u-tips-ok').find('span').html('');
				}else if(data=='1'){
					Reg.Email=false;
					n.parent().find('p').attr('class','u-tips u-tips-err').find('span').html('该帐号已存在，请直接 <a href="/User/login/">登录</a>');
				}else{
					Reg.Email=false;
					n.parent().find('p').attr('class','u-tips u-tips-err').find('span').html('网络连接延时，请重新尝试。');
				}
			});
		}
	},
	CheckPass:function(o){//验证注册密码
		var n = $('#password').parent().parent();
		if(o.length<6||o.length>15){
			n.addClass('u-ipt-err');Reg.Pass=false;
			n.parent().find('p').attr('class','u-tips u-tips-err').find('span').html('请输入6-15个字符，区分大小写。');
		}else{
			Reg.Pass=true;
			if(/[a-zA-Z]+/.test(o) && /[0-9]+/.test(o) && /\W+\D+/.test(o)){
				n.parent().find('p').attr('class','u-tips u-tips-ok').find('span').html('强：请牢记您的密码<strong class="u-pwdStrength u-pwdStrength-high"></strong>');
			}else if(/[a-zA-Z]+/.test(o) && /[0-9]+/.test(o)){
				n.parent().find('p').attr('class','u-tips u-tips-ok').find('span').html('中：试试字母、数字、符号混搭<strong class="u-pwdStrength u-pwdStrength-mid"></strong>');
			}else{
				n.parent().find('p').attr('class','u-tips u-tips-ok').find('span').html('弱：试试字母、数字、符号混搭<strong class="u-pwdStrength u-pwdStrength-low"></strong>');
			}
		}
	},
	CheckPass2:function(o){//验证密码是否一致
		var n = $('#re_password').parent().parent();
		var p = $('#password').val();
		if (p!=o){
			n.addClass('u-ipt-err');Reg.Pass2=false;
			n.parent().find('p').attr('class','u-tips u-tips-err').find('span').html('两次输入的密码不一致。');
		}else{
			Reg.Pass2=true;
			n.parent().find('p').attr('class','u-tips u-tips-ok').find('span').html('');
		}
	},
	
	
	CheckQQ:function(o){//验证用户名QQ
		var n = $('#user_qq').parent().parent();
		var len = local.GetLenth(o);
		if(len<6||len>11){
			n.addClass('u-ipt-err');Reg.QQ=false;
			n.parent().find('p').attr('class','u-tips u-tips-err').find('span').html('请输入6-11位的数字。）');
		}else{
			$.post('Checklogin.html?action=checkqq',{qq:o,t:local.TimeLong()},function(data){
				if(data=='0'){
					Reg.QQ=true;
					n.parent().find('p').attr('class','u-tips u-tips-ok').find('span').html('');
				}else if(data=='1'){
					Reg.QQ=false;
					n.parent().find('p').attr('class','u-tips u-tips-err').find('span').html('该QQ号已存在，请换一个。');
				}else{
					Reg.QQ=false;
					n.parent().find('p').attr('class','u-tips u-tips-err').find('span').html('网络连接延时，请重新尝试。');
				}
			});
		}
	},
	
	CheckYZM:function(o){//验证码是否正确
		var n = $('#usercheckcode').parent().parent();
		if (o.length!=4){
			n.addClass('u-ipt-err');Reg.Yzm=false;
			n.parent().find('p').attr('class','u-tips u-tips-err').find('span').html('验证码只能是4位数字。');
		}else{
			$.post('Verifycode.html',{yzm:o,t:local.TimeLong()},function(data){
				if(data=='0'){
					Reg.Yzm=true;
					n.parent().find('p').attr('class','u-tips u-tips-ok').find('span').html('');
				}else{
					Reg.Yzm=false;
					n.parent().find('p').attr('class','u-tips u-tips-err').find('span').html('验证码错误。');
				}
			});
		}
	},
	AgreeChange:function(){//用户是否同意协议
		if ($('#agree').is(":checked")){
			$('#regEmail button').removeClass('u-btn2-dis');
		}else{
			$('#regEmail button').addClass('u-btn2-dis');
		}
	},
}